org.apache.fop.render.intermediate

## Class IFRendererConfig.IFRendererConfigParser

- java.lang.Object
- - org.apache.fop.render.intermediate.IFRendererConfig.IFRendererConfigParser

All Implemented Interfaces:
  RendererConfig.RendererConfigParser

Enclosing class:
  IFRendererConfig

    public static final class IFRendererConfig.IFRendererConfigParser
    extends Object
    implements RendererConfig.RendererConfigParser

The Intermediate Format configuration data parser.

### Constructor Summary

Constructors
Constructor and Description
`IFRendererConfigParser()`

### Method Summary

All Methods Instance Methods Concrete Methods
`RendererConfig` `build(FOUserAgent userAgent, Configuration cfg)` Builds the object that contains the renderer configuration data.
`String` `getMimeType()` The MIME type of the renderer.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IFRendererConfigParser

    public IFRendererConfigParser()

### Method Detail

#### build

    public RendererConfig build(FOUserAgent userAgent,
                                Configuration cfg)
                         throws FOPException

Builds the object that contains the renderer configuration data.

Specified by:
  `build` in interface `RendererConfig.RendererConfigParser`
Parameters:
  `userAgent` - the user agent
  `cfg` - the Avalon config object for parsing the data
Returns:
  the configuration data object
Throws:
  `FOPException` - if an error occurs while parsing the fop conf

#### getMimeType

    public String getMimeType()

The MIME type of the renderer.

Specified by:
  `getMimeType` in interface `RendererConfig.RendererConfigParser`
Returns:
  the mime type